SSO에 허용되지 않는 도메인
이 문제가 발생하면 API는 422 Unprocessable Content 응답을 반환합니다. type는 https://lingo.dev/docs/api/errors/sso-domain-not-allowed입니다. 모든 오류에 공통으로 적용되는 형식은 오류 및 상태 코드를 참고하세요.
도메인 검증 과정에서 example.com 도메인의 SSO 사용이 거부되었습니다. 공용 이메일 서비스의 도메인이 아닌, 회사가 소유한 도메인을 사용하세요.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구로 바꿔 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
domain | string |
reason | "public_provider" | "not_admin_domain" | "reserved" |
예시#
json
{
"detail": "Domain example.com refused for SSO at domain validation. Use the domain your company owns, not a public mail provider.",
"domain": "example.com",
"reason": "public_provider",
"type": "https://lingo.dev/docs/api/errors/sso-domain-not-allowed",
"status": 422,
"title": "Domain not allowed for SSO"
}이 오류를 반환하는 엔드포인트#
PUT /v2/organizations/{orgId}/sso